VMTKCENTERLINES(1)

NAME
vmtkcenterlines - vmtk script vmtkcenterlines

DESCRIPTION
Automatic piping vmtkcenterlines Parsing options vmtkcenterlines

vmtkcenterlines : compute centerlines from a branching tubular surface

    (see papers for details); seed points can be interactively selected on the surface, or specified as the barycenters of the open boundaries of the surface; if vmtk is compiled with support for TetGen, TetGen can be employed to compute the Delaunay tessellation of the input points

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-seedselector SeedSelectorName (str,1) in ['pickpoint',

    'openprofiles', 'carotidprofiles', 'profileidlist', 'idlist', 'pointlist']; default=pickpoint: seed point selection method (pickpoint: interactive; openprofiles: choose among barycenters of open profiles of the surface; carotidprofiles: open profiles are automatically selected based on their z-axis coordinate (lower to higher: CCA, ECA, ICA)); profileidlist: list of open profile ids (specified as argument to -sourceids and -targetids); idlist: list of surface point ids (specified as argument to -sourceids and -targetids); pointlist: list of surface points (specified as argument to -sourcepoints and -targetpoints)

-sourceids SourceIds (int,-1); default=[]: list of source point ids

-targetids TargetIds (int,-1); default=[]: list of target point ids

-sourcepoints SourcePoints (float,-1); default=[]: list of source

    point coordinates

-targetpoints TargetPoints (float,-1); default=[]: list of target

    point coordinates

-endpoints AppendEndPoints (bool,1); default=0: toggle append open

    profile barycenters to centerlines

-nonmanifoldcheck CheckNonManifold (bool,1); default=0: toggle

    checking the surface for non-manifold edges

-flipnormals FlipNormals (bool,1); default=0: flip normals after

    outward normal computation; outward oriented normals must be computed for the removal of outer tetrahedra; the algorithm might fail so for weird geometries, so changing this might solve the problem

-capdisplacement CapDisplacement (float,1); default=0.0:

    displacement of the center points of caps at open profiles along their normals (avoids the creation of degenerate tetrahedra)

-delaunaytolerance DelaunayTolerance (float,1); default=0.001:

    tolerance for evaluating coincident points during Delaunay tessellation, evaluated as a fraction of the bounding box

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: name of the array where radius values of maximal inscribed spheres have to be stored

-endpoints AppendEndPoints (bool,1); default=0: toggle append open

    profile barycenters to centerlines

-resampling Resampling (bool,1); default=0: toggle centerlines

    resampling

-resamplingstep ResamplingStepLength (float,1) >= 0.0; default=1.0:

    distance between points in the resampled line

-delaunaytessellation DelaunayTessellation (vtkUnstructuredGrid,1):

    optional input Delaunay tessellation

-simplifyvoronoi SimplifyVoronoi (bool,1); default=0: toggle

    simplification of Voronoi diagram

-usetetgen UseTetGen (bool,1); default=0: toggle use TetGen to

    compute Delaunay tessellation

-tetgendetectinter TetGenDetectInter (bool,1); default=1: TetGen

    option

-costfunction CostFunction (str,1); default=1/R: specify cost

    function to be minimized during centerline computation

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-poleids PoleIds (vtkIdList,1)

-voronoidiagram VoronoiDiagram (vtkPolyData,1)

-voronoidiagramfile VoronoiDiagramInputFileName (str,1): filename

    for the default VoronoiDiagram reader

-stopontarget StopFastMarchingOnReachingTarget (bool,1); default=0:

    terminate fast marching front propagation when the front reaches the target seed point. This can greatly speed up execution, but it only works when one target seed id is set.

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

-delaunaytessellationfile DelaunayTessellationOutputFileName

    (str,1): filename for the default DelaunayTessellation writer

-voronoidiagramfile VoronoiDiagramOutputFileName (str,1): filename

    for the default VoronoiDiagram writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1): the output centerlines

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: name of the array where radius values of maximal inscribed spheres are stored

-eikonalsolutionarray EikonalSolutionArrayName (str,1);

    default=EikonalSolution

-edgearray EdgeArrayName (str,1); default=EdgeArray

-edgepcoordarray EdgePCoordArrayName (str,1);

    default=EdgePCoordArray

-costfunctionarray CostFunctionArrayName (str,1);

    default=CostFunctionArray

-delaunaytessellation DelaunayTessellation (vtkUnstructuredGrid,1)

-voronoidiagram VoronoiDiagram (vtkPolyData,1)

-poleids PoleIds (vtkIdList,1)